"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x107601ea0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x107601f30>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x107601fc0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x107602050>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1076020e0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x107602170>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x107602200>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107602290>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107602320>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1076023b0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x107602440>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1076024d0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x107602560>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1076025f0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x107602680>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x107602710>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1076027a0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x107602830>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1076028c0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x107602950>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1076029e0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x107602a70>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x107602b00>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x107602b90>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x107602cb0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x107602c20>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x107602d40>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x107602dd0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x107602e60>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x107602ef0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x107602f80>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x107603010>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1076030a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x107603130>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1076031c0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x107603250>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1076032e0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x107603370>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107603400>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107603490>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107603520>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1076035b0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x107603640>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1076036d0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x107603760>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1076037f0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x107603880>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x107603910>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1076039a0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x107603a30>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x107603ac0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x107603b50>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x107603be0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x107603c70>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x107603d00>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x107603d90>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x107603e20>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x107603eb0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x107603f40>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x107634040>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1076340d0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x107634160>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1076341f0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x107634280>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x107634310>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1076344c0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1076343a0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x107634550>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1076345e0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x107634670>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x107634700>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x107634790>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1076348b0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x107634820>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x107634940>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1076349d0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x107634a60>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x107634b80>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x107634af0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x107634c10>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x107634ca0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x107634d30>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x107634dc0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x107634e50>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x107634ee0>)]
name: str = 'fr_HOCCN'
